Skip to main content
Avalara Help Center

Pre-installation tasks and information for Connector for Magento 2 for Tobacco

This article applies to:Connector for Magento 2 for Tobacco

Supported Versions

Following are the supported Magento 2 versions: 

  • Magento Community 2.2.x - 2.4.x
  • Magento Enterprise Edition 2.2.x - 2.4.x
  • Commerce Cloud (EE edition) 2.2.x - 2.4.x

Prerequisites

Make sure that you have the following before you start installing and configuring Connector for Magento 2 for Tobacco:

  • A valid Excise and AvaTax license. To obtain the required account information, contact your Avalara representative. 
  • An active excise account with a company setup.  
  • An active AvaTax account with a company setup. To activate an AvATax account, see Set up AvaTax.
  • Magento running on a server with the following:
    1. No existing avalara/avatax-magento extensions
    2. Appropriately configured CRON job
    3. PHP CURL extensions (required by the AvaTax/Excise library) 
  • Was this article helpful?